Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::ValueEncoding Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::ValueEncoding:

## Public Attributes

string | encodingId
| encoding type id
EncodingType | type
| value coding type
boolean | invertState
| invert when interpreting as state
vector< InterpretationRule > | interpretationRules
| error/value inerpretation rules

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl